# Personal site

This is my main site. The site publishes articles, useful information and notes. Also, the site serves as a hosting of free and personal images.

Principles of site development:

- Lightness and minimalism. The site is designed to store information, it's not a heavy application;

- Maximum cross-platform. Information should be read from any device and software;

- Focusing on content perception. Only useful information, nothing superfluous;

- No JS on the site. The site should be completely safe for the user;

## Development

To start a local server for development, you need:

1. Clone the source repository:

```bash
git clone "https://github.com/valentineus/valentineus.github.io.git"
```

2. Install packages:

```bash
cd valentineus.github.io && bundle update
```

3. Start the server:

```bash
bundle exec jekyll serve --host "${IP}" --port "${PORT}" --trace
```

Please note in the executable command uses environment variables `IP` and `PORT`.

## License hosted material

<img width="256px" alt="CC BY-NC 3.0 License" src="https://raw.githubusercontent.com/valentineus/valentineus.github.io/master/assets/images/87624cb5-4a8f-4be4-90b6-0ec5b9a90333.png" />

Material on the site is published on the CC BY-NC 3.0 license.

## Source Code License

<img width="256px" alt="MIT License" src="https://raw.githubusercontent.com/valentineus/valentineus.github.io/master/assets/images/7d05cad0-d553-42c7-be1f-7007926ba720.png" />

[MIT](LICENSE.txt). Copyright (c) [Valentin Popov](https://valentineus.link/).
